corosync (3.1.9-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110456). Remaining changes:
    - d/t/quorumtool: search for localhost instead of node1
    - d/p/Make-the-example-config-valid.patch: comment out the node name
      in config file. With this, we will keep the same behavior as we
      have in Bionic which is using the output of "uname -n" as the node
      name (LP #1874719).
    - d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch:
      Retry knet_handle_new without privileged flag (LP #1918735).
  * Dropped changes:
    - d/p/CVE-2025-30472.patch: check size of orf_token msg in exec/totemsrp.c
      [ Fixed in version 3.1.9-2 ]

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 25 Jun 2025 16:23:07 -0300

corosync (3.1.9-2) unstable; urgency=medium

  * [d29071e] New patch: totemsrp: Check size of orf_token msg.
    Cherry-picked security fix for CVE-2025-30472, upstream commit
    7839990f9cdf34e55435ed90109e82709032466a.
    Corosync through 3.1.9, if encryption is disabled or the attacker knows
    the encryption key, has a stack-based buffer overflow in
    orf_token_endian_convert in exec/totemsrp.c via a large UDP packet.
    Thanks to Jan Friesse (Closes: #1102006)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 21 Jun 2025 11:54:36 +0200

corosync (3.1.9-1) unstable; urgency=medium

  * [f7dc244] New upstream release (3.1.9)
  * [f1ccd93] Drop upstreamed patch, refresh the rest
  * [0683a43] Update copyright years
  * [55b8efd] Update symbols files.
    Upstream commit 8d46eb01277 added version info to several already
    exported symbols.  (It also removed a couple of names from the version
    scripts, but that part does not change the export lists since the
    respective symbols have long been removed from the libraries.)  Since
    the new versions are also the default versions when resolving
    unversioned references, applications linked against the old Corosync
    libraries will find the new versioned symbols, so this change does not
    break the ABI.
  * [7e53a49] Update Standards-Version to 4.7.2 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 02 Mar 2025 16:52:12 +0100

corosync (3.1.8-3ubuntu2) plucky; urgency=medium

  * SECURITY UPDATE: stack buffer overflow
    - debian/patches/CVE-2025-30472.patch: check size of orf_token msg in
      exec/totemsrp.c.
    - CVE-2025-30472

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 27 Mar 2025 14:19:58 -0400

corosync (3.1.8-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085225). Remaining changes:
    - d/t/quorumtool: search for localhost instead of node1
    - d/p/Make-the-example-config-valid.patch: comment out the node name
      in config file. With this, we will keep the same behavior as we
      have in Bionic which is using the output of "uname -n" as the node
      name (LP #1874719).
    - d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch:
      Retry knet_handle_new without privileged flag (LP #1918735).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 19 Nov 2024 19:26:25 -0300

corosync (3.1.8-3) unstable; urgency=medium

  * [192c744] Revert "Revert "No need to override the default
    /usr/lib/systemd/system systemd directory anymore""
    This reverts commit a836090ec1d812f6a73d13aa14f752cc5fbf5ffa.
    Now dh_installsystemd handles service files under /usr/lib correctly,
    so let DEP17 (Improve situation around aliasing effects from /usr-merge)
    proceed by moving our service files to /usr/lib/systemd/system.
    (Closes: #1073683)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 20 Jul 2024 19:32:52 +0200

corosync (3.1.8-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064397). Remaining changes:
    - d/t/quorumtool: search for localhost instead of node1
    - d/p/Make-the-example-config-valid.patch: comment out the node name
      in config file. With this, we will keep the same behavior as we
      have in Bionic which is using the output of "uname -n" as the node
      name (LP #1874719).
    - d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch:
      Retry knet_handle_new without privileged flag (LP #1918735).
  * Dropped changes:
    - d/control: corosync recommends libqb-tools (LP #1677684).
      corosync-blackbox relies on libqb-tools.
      [ Fixed in 3.1.8-2 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 28 Jun 2024 12:10:31 -0300

corosync (3.1.8-2) unstable; urgency=medium

  * [c241cd2] corosync-blackbox uses qb-blackbox, so pull in libqb-tools

 -- Ferenc Wágner <wferi@debian.org>  Sun, 26 May 2024 13:22:53 +0200

corosync (3.1.8-1) unstable; urgency=medium

  * [974f5df] New upstream release (3.1.8)
  * [09f4624] Refresh our patches
  * [c5c5cb7] Update Standards-Version to 4.7.0 (no changes required)
  * [e586635] Drop obsolete lsb-base dependencies.
    The lsb-base package is used by the init scripts, which are only run
    by sysv-rc, which has already depended on lsb-base since bullseye.
  * [a1ad0ae] pkgconf superseded pkg-config
  * [06322b1] New patch: Move corosync-notifyd policy file into
    /usr/share/dbus-1/system.d
  * [7c73d96] Ship the relocated corosync-notifyd policy file and remove the old
    conffile
  * [f8b234b] Update copyright years, fix copy&paste error

 -- Ferenc Wágner <wferi@debian.org>  Sun, 26 May 2024 12:28:18 +0200

corosync (3.1.7-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:56:22 +0000

corosync (3.1.7-1ubuntu2) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:53:08 +0100

corosync (3.1.7-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993393). Remaining changes:
    - d/t/quorumtool: search for localhost instead of node1
    - d/p/Make-the-example-config-valid.patch: comment out the node name
      in config file. With this, we will keep the same behavior as we
      have in Bionic which is using the output of "uname -n" as the node
      name (LP #1874719).
    - d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch:
      Retry knet_handle_new without privileged flag (LP #1918735).
    - d/control: corosync binary depends on libqb-dev
      (LP #1677684)
  * Dropped
    - d/t/control: add allow-stderr restriction
      [Not needed anymore]
    - d/control: corosync binary depends on libqb-dev
      (LP #1677684)
      [The qb-blackbox was moved from libqb-dev to libqb-tools]
  * Added:
    - d/control: corosync recommends libqb-tools (LP #1677684).
      corosync-blackbox relies on libqb-tools.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 25 Jan 2023 17:08:20 -0300

corosync (3.1.7-1) unstable; urgency=medium

  * [f3d69c9] New upstream release (3.1.7)
  * [7ca438c] Delete upstream patch, refresh the rest
  * [36863f4] Update Standards-Version to 4.6.2 (no changes required)
  * [02c7690] Update copyright of the packaging
  * [ae14a7c] Adapt Lintian overrides to new message format
  * [7732c89] The initscript-dir variable has long fallen out of use
  * [faafc6e] New patch: Revert "logrotate: Use copytruncate method by default"
  * [cab0938] Add logrotate autopkgtest

 -- Ferenc Wágner <wferi@debian.org>  Sun, 15 Jan 2023 15:00:42 +0100

corosync (3.1.6-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/quorumtool: search for localhost instead of node1
    - d/t/control: add allow-stderr restriction
    - d/p/Make-the-example-config-valid.patch: comment out the node name
      in config file. With this, we will keep the same behavior as we
      have in Bionic which is using the output of "uname -n" as the node
      name (LP #1874719).
    - d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch:
      Retry knet_handle_new without privileged flag (LP #1918735).
    - d/control: corosync binary depends on libqb-dev
      (LP #1677684)

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 19 Jul 2022 06:16:37 -0300

corosync (3.1.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [290ca16] Remove 2 obsolete maintscript entries in 2 files.
    Changes-By: lintian-brush
  * [8d89318] Update renamed lintian tag names in lintian overrides.
    Changes-By: lintian-brush
    Fixes: lintian: renamed-tag
    See-also: https://lintian.debian.org/tags/renamed-tag.html

  [ Ferenc Wágner ]
  * [f8c32e7] New patch: Remove bashism from configure script (Closes: #998785)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 06 Mar 2022 20:07:05 +0100

corosync (3.1.6-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946852). Remaining changes:
    - d/control: corosync binary depends on libqb-dev (LP #1677684).
    - d/p/Make-the-example-config-valid.patch: comment out the
      node name in config file. With this, we will keep the same
      behavior as we have in Bionic which is using the output of
      "uname -n" as the node name (LP #1874719).
    - d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch:
      Retry knet_handle_new without privileged flag (LP #1918735).
    - d/t/quorumtool: search for localhost instead of node1.
    - d/t/control: add allow-stderr restriction.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 12 Jan 2022 11:58:06 +0100

corosync (3.1.6-1) unstable; urgency=medium

  * [1c6e48f] Make use of the execute_before_* feature of dh 12.8+
  * [e6b31ef] New upstream release (3.1.6)
  * [81eed39] Refresh our patches

 -- Ferenc Wágner <wferi@debian.org>  Mon, 22 Nov 2021 19:40:15 +0100

corosync (3.1.5-2) unstable; urgency=medium

  * [a836090] Revert "No need to override the default /usr/lib/systemd/system
    systemd directory anymore"
    This reverts commit e710e1f5bec1bcbc9d47f639701a6f2fde54346b.
    dh_installsystemd apparently does not find the service files under
    /usr/lib, and consequently does not insert the maintainer script
    snippets necessary to start the services on installation (for example).

 -- Ferenc Wágner <wferi@debian.org>  Fri, 01 Oct 2021 20:28:56 +0200

corosync (3.1.5-1) unstable; urgency=medium

  * [929fb0c] New upstream release (3.1.5)
  * [56b0b8f] Remove upstreamed patches, refresh the rest
  * [f231d94] Switch to Debhelper compatibility level 13
  * [65638bc] Update Standards-Version to 4.6.0 (no changes required)
  * [e710e1f] No need to override the default /usr/lib/systemd/system systemd
    directory anymore

 -- Ferenc Wágner <wferi@debian.org>  Thu, 30 Sep 2021 22:38:39 +0200

corosync (3.1.2-2ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/control: add allow-stderr restriction
    - d/control: corosync binary depends on libqb-dev
      (LP #1677684)
    - Retry knet_handle_new without privileged flag (LP #1918735)
      + d/p/lp1918735/0001-allow_knet_handle_fallback_default_yes.patch
    - d/p/Make-the-example-config-valid.patch: comment out the node name in
      config file
      + With this, we will keep the same behavior as we have in Bionic which is
        using the output of "uname -n" as the node name (LP #1874719).
    - d/t/quorumtool: search for localhost instead of node1
  * Dropped:
    - d/p/lp1911904-Don-t-lock-all-current-and-future-memory-if-can-t-in.patch:
      + Don't mlockall() if setrlimit() fails (LP #1911904)
      [Applied by upstream in version 3.1.1]
    - Retry knet_handle_new without privileged flag (LP #1918735)
      + d/p/lp1918735/0001-try-unprivileged-knet-handle-new.patch
      [Applied by upstream in version 3.1.1]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 23 Jul 2021 16:27:47 -0300

corosync (3.1.2-2) unstable; urgency=medium

  * [f641780] New patch: stats: fix crash when iterating over deleted keys.
    Cherry-picked from v3.1.4.
    Thanks to Christine Caulfield

 -- Ferenc Wágner <wferi@debian.org>  Mon, 05 Jul 2021 09:11:09 +0200

corosync (3.1.2-1) unstable; urgency=medium

  * [2c66d6d] New upstream release (3.1.2)
  * [158e261] Drop upstreamed patch, refresh the rest

 -- Ferenc Wágner <wferi@debian.org>  Wed, 07 Apr 2021 14:19:13 +0200

corosync (3.1.1-1) unstable; urgency=medium

  * [d0fe5b2] New upstream release (3.1.1) (Closes: #985070)
  * [e867d55] Refresh our patches
  * [9d9b3d5] Acknowledge new symbols
  * [069e608] Adapt autopkgtest to the new cfgtool output format
  * [a447ac3] New patch: totemknet: pass correct handle to knet_handle_compress.
    Thanks to Fabio M. Di Nitto (Closes: #986325)
  * [dc2b18f] New patch: man: corosync-cfgtool.8: use proper single quotes

 -- Ferenc Wágner <wferi@debian.org>  Sat, 03 Apr 2021 17:27:29 +0200

corosync (3.1.0-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * [b8b9ff1] Reduce Build-Depends
    + Drop unused libxml2-dev dependency. It deals with xml via xsltproc.
    + Drop unused augeas-tools dependency. While it ships a lens, it does not
      further integrate with augeas. (Closes: #980989)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 28 Feb 2021 10:06:39 +0100

corosync (3.1.0-2ubuntu4) impish; urgency=medium

  * d/p/Make-the-example-config-valid.patch: comment out the node name in
    config file (LP: #1874719). With this, we will keep the same behavior as we
    have in Bionic which is using the output of "uname -n" as the node name.
  * d/t/quorumtool: search for localhost instead of node1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 17 Jun 2021 10:38:07 -0300

corosync (3.1.0-2ubuntu3) hirsute; urgency=medium

  * d/p/lp1918735-try-unprivileged-knet-handle-new.patch,
    d/p/lp1918735/0001-try-unprivileged-knet-handle-new.patch,
    d/p/lp1918735/0002-allow_knet_handle_fallback_default_yes.patch:
    - Update patch with final adjustments from upstream,
      adding conf param which we default to enabled

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 19 Mar 2021 07:45:13 -0400

corosync (3.1.0-2ubuntu2) hirsute; urgency=medium

  * d/p/lp1911904-Don-t-lock-all-current-and-future-memory-if-can-t-in.patch:
    - Don't mlockall() if setrlimit() fails (LP: #1911904)
  * d/p/lp1918735-try-unprivileged-knet-handle-new.patch:
    - Retry knet_handle_new without privileged flag (LP: #1918735)
  * d/t: don't skip tests now that we fixed crashing in container

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 10 Mar 2021 12:55:26 -0500

corosync (3.1.0-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Skip autopkgtest for unprivileged containers: (LP #1828228)
      + d/t/control: allow stderr and mark tests as skippable
      + d/t/{cfgtool,quorumtool}: skips when inside unpriv containers
    - d/control: corosync binary depends on libqb-dev
      (LP #1677684)
  * Dropped:
    - Post v3.0.3 release fixes backported to Ubuntu (LP #1869622)
      debian/patches/ubuntu-v3.0.3-fixes/:
      + lp1869622-09f6d34a-logconfig-Remove-double-free-of-value.patch
      + lp1869622-0c118d8f-totemknet-Check-result-of-fcntl-O_NONBLOCK-call.patch
      + lp1869622-0c16442f-votequorum-Change-check-of-expected_votes.patch
      + lp1869622-1fb095b0-notifyd-Check-cmap_track_add-result.patch
      + lp1869622-29109683-totemknet-Assert-strcpy-length.patch
      + lp1869622-35c312f8-votequorum-Assert-copied-strings-length.patch
      + lp1869622-380b744e-totemknet-Don-t-mix-corosync-and-knet-error-codes.patch
      + lp1869622-56ee8503-quorumtool-Assert-copied-string-length.patch
      + lp1869622-5f543465-quorumtool-exit-on-invalid-expected-votes.patch
      + lp1869622-624b6a47-stats-Assert-value_len-when-value-is-needed.patch
      + lp1869622-74eed54a-sync-Assert-sync_callbacks.name-length.patch
      + lp1869622-89b0d62f-stats-Check-return-code-of-stats_map_get.patch
      + lp1869622-8ce65bf9-votequorum-Reflect-runtime-change-of-2Node-to-WFA.patch
      + lp1869622-8ff7760c-cmapctl-Free-bin_value-on-error.patch
      + lp1869622-a24cbad5-totemconfig-Initialize-warnings-variable.patch
      + lp1869622-c631951e-icmap-icmap_init_r-leaks-if-trie_create-fails.patch
      + lp1869622-ca320bea-votequorum-set-wfa-status-only-on-startup.patch
      + lp1869622-efe48120-totemconfig-Free-leaks-found-by-coverity.patch
      [applied by upstream]
    - debian/corosync-notifyd.init: fix for 2 PIDFILEs declared (LP #1437359)
      [fixed in Debian]
    - Post v3.0.3 release fixes backported to Ubuntu (LP #1895366)
      debian/patches/ubuntu-v3.0.3-fixes/:
      + lp1895366-7f64a1dc-cmapctl-return-error-on-no-result-of-print-prefix.patch
      + lp1895366-ec889e89-cmapctl-check-NULL-for-key-type-and-value-for-p.patch
      + lp1895366-9105d94a-cmapctl-return-EXIT_FAILURE-on-failure.patch
      + lp1895366-21e1c711-cfgtool-Remove-unused-callbacks.patch
      + lp1895366-ee38d93c-cpghum-Remove-unused-time-variables-and-functions.patch
      + lp1895366-f31a31f9-cmap-Assert-copied-string-length.patch
      [applied by upstream]
    - d/{libcfg7,libcmap4,libcpg4,libquorum5,libsam4,libvotequorum8}.symbols:
      Drop linker magic injecting start/stop symbols due to libqb 2
      update.
      Thanks to Ferenc Wágner <wferi@debian.org>.
      [fixed in Debian]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 19 Jan 2021 17:55:45 -0300

corosync (3.1.0-2) unstable; urgency=medium

  * [d92f1d8] Drop the log directory placeholder file.
    According to #604807 the buster logrotate already skips missing
    directories gracefully, so we don't need this workaround anymore,
    as #588515 is fixed.
  * [ace09cc] libqb 2 dropped the linker magic injecting start/stop symbols
  * [52cf9ae] Update Standards-Version to 4.5.1 (no changes needed)

 -- Ferenc Wágner <wferi@debian.org>  Fri, 01 Jan 2021 09:11:36 +0100

corosync (3.1.0-1) unstable; urgency=medium

  * [25c1719] New upstream release (3.1.0)
  * [124e796] Drop upstreamed patches, refresh the rest
  * [b63c8d2] The upstream default systemd directory moved into /usr.
    But Debian still uses /lib/systemd/system for unit files.
  * [a950a80] Wildcard all installed shared object versions.
    So they don't need changing on future version bumps (like the current
    libquorum.so.5.0.0 -> 5.1.0).
  * [2354b72] Update libquorum5 symbols file

 -- Ferenc Wágner <wferi@debian.org>  Mon, 26 Oct 2020 20:26:19 +0100

corosync (3.0.4-2) unstable; urgency=medium

  * [cff365e] autopkgtest fix: cfgtool output got reworked in 3.0.4.
    Since 720a892 the status of the localhost link is not displayed, because
    it is safe to expect that it is always connected.

 -- Ferenc Wágner <wferi@debian.org>  Wed, 30 Sep 2020 15:32:39 +0200

corosync (3.0.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [b31fa99] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ Ferenc Wágner ]
  * [5a801c3] Current dwz works already.
    This reverts bf80b75 and also adds a version constraint.
  * [686d0b0] New upstream release (3.0.4)
  * [51bcecc] Delete upstreamed patch, refresh the rest
  * [2ddaa1e] Update Standards-Version to 4.5.0 (no changes required)
  * [8ecf0a6] New patch: man: votequorum.5: use proper single quotes

  [ Rafael David Tinoco ]
  * [4f72296] * debian/corosync-notifyd.init: fix for 2 PIDFILEs declared
    (LP: #1437359)

 -- Ferenc Wágner <wferi@debian.org>  Wed, 30 Sep 2020 12:45:33 +0200

corosync (3.0.3-2ubuntu6) hirsute; urgency=medium

  * d/{libcfg7,libcmap4,libcpg4,libquorum5,libsam4,libvotequorum8}.symbols:
    Drop linker magic injecting start/stop symbols due to libqb 2
    update.
    Thanks to Ferenc Wágner <wferi@debian.org>.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 11 Jan 2021 17:29:30 -0500

corosync (3.0.3-2ubuntu5) hirsute; urgency=medium

  * No-change upload due to net-snmp transition.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 07 Jan 2021 10:49:19 -0500

corosync (3.0.3-2ubuntu4) hirsute; urgency=medium

  * No-change rebuild for libqb soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Jan 2021 14:37:31 +0100

corosync (3.0.3-2ubuntu3) groovy; urgency=medium

  * Post v3.0.3 release fixes backported to Ubuntu (LP: #1895366)
    debian/patches/ubuntu-v3.0.3-fixes/:
    - lp1895366-7f64a1dc-cmapctl-return-error-on-no-result-of-print-prefix.patch
    - lp1895366-ec889e89-cmapctl-check-NULL-for-key-type-and-value-for-p.patch
    - lp1895366-9105d94a-cmapctl-return-EXIT_FAILURE-on-failure.patch
    - lp1895366-21e1c711-cfgtool-Remove-unused-callbacks.patch
    - lp1895366-ee38d93c-cpghum-Remove-unused-time-variables-and-functions.patch
    - lp1895366-f31a31f9-cmap-Assert-copied-string-length.patch

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Sat, 12 Sep 2020 04:27:43 +0000

corosync (3.0.3-2ubuntu2) focal; urgency=medium

  [Jorge Niedbalski]
  * d/control: corosync binary depends on libqb-dev (LP: #1677684)

  [Rafael David Tinoco]
  * debian/corosync-notifyd.init: fix for 2 PIDFILEs declared (LP: #1437359)
  * Post v3.0.3 release fixes backported to Ubuntu (LP: #1869622)
    debian/patches/ubuntu-v3.0.3-fixes/:
    - lp1869622-09f6d34a-logconfig-Remove-double-free-of-value.patch
    - lp1869622-0c118d8f-totemknet-Check-result-of-fcntl-O_NONBLOCK-call.patch
    - lp1869622-0c16442f-votequorum-Change-check-of-expected_votes.patch
    - lp1869622-1fb095b0-notifyd-Check-cmap_track_add-result.patch
    - lp1869622-29109683-totemknet-Assert-strcpy-length.patch
    - lp1869622-35c312f8-votequorum-Assert-copied-strings-length.patch
    - lp1869622-380b744e-totemknet-Don-t-mix-corosync-and-knet-error-codes.patch
    - lp1869622-56ee8503-quorumtool-Assert-copied-string-length.patch
    - lp1869622-5f543465-quorumtool-exit-on-invalid-expected-votes.patch
    - lp1869622-624b6a47-stats-Assert-value_len-when-value-is-needed.patch
    - lp1869622-74eed54a-sync-Assert-sync_callbacks.name-length.patch
    - lp1869622-89b0d62f-stats-Check-return-code-of-stats_map_get.patch
    - lp1869622-8ce65bf9-votequorum-Reflect-runtime-change-of-2Node-to-WFA.patch
    - lp1869622-8ff7760c-cmapctl-Free-bin_value-on-error.patch
    - lp1869622-a24cbad5-totemconfig-Initialize-warnings-variable.patch
    - lp1869622-c631951e-icmap-icmap_init_r-leaks-if-trie_create-fails.patch
    - lp1869622-ca320bea-votequorum-set-wfa-status-only-on-startup.patch
    - lp1869622-efe48120-totemconfig-Free-leaks-found-by-coverity.patch

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Sun, 29 Mar 2020 21:50:35 +0000

corosync (3.0.3-2ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1864087). Remaining changes:
    - Skip autopkgtest for unprivileged containers: (LP: 1828228)
      - d/t/control: allow stderr and mark tests as skippable
      - d/t/{cfgtool,quorumtool}: skips when inside unpriv containers

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 21 Feb 2020 04:33:11 +0000

corosync (3.0.3-2) unstable; urgency=medium

  * [d0a06e5] Separate the autopkgtests and make them generate artifacts
  * [8680d48] Run Salsa CI reprotest with diffoscope
  * [1d89c4f] Recognize the autopkgtest artifacts in Salsa CI
  * [8e09226] New patch: man: move cmap_keys man page from section 8 to 7

 -- Ferenc Wágner <wferi@debian.org>  Sat, 04 Jan 2020 14:07:31 +0100

corosync (3.0.3-1) unstable; urgency=medium

  * [d103a33] New upstream release (3.0.3)
  * [e6f6831] Refresh our patches
  * [f1e85a3] Enable nozzle support
  * [19d3dd3] Package the votequorum simulator in corosync-vqsim
  * [8ae3235] Update Standards-Version to 4.4.1 (no changes required)
  * [bfd9560] Advertise Rules-Requires-Root: no

 -- Ferenc Wágner <wferi@debian.org>  Sat, 07 Dec 2019 23:02:16 +0100

corosync (3.0.2-1ubuntu2) focal; urgency=medium

  * Rebuild for libsnmp35.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 14 Jan 2020 17:55:39 +0000

corosync (3.0.2-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Skip autopkgtest for unprivileged containers: (LP #1828228)
      + d/t/control: mark corosync test as skippable
      + d/t/corosync: skip if memlock can't be set to unlimited by root

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 04 Nov 2019 17:37:30 -0300

corosync (3.0.2-1) unstable; urgency=medium

  * [163a97e] Releases can already be downloaded over HTTPS (#413)
  * [2884ec0] New upstream release (3.0.2)
  * [937a16e] Delete upstreamed patches, refresh the rest
  * [56f5a8b] Enroll to basic Salsa CI
  * [45fb249] Update Standards-Version to 4.4.0 (no changes required)
  * [05e7216] Switch to the debhelper-compat way
  * [a60406a] New patch: man: fix typo: avaialable
  * [0b7debb] Adjust autopkgtest to the new cfgtool output format

 -- Ferenc Wágner <wferi@debian.org>  Sun, 25 Aug 2019 16:48:57 +0200

corosync (3.0.1-2ubuntu1) eoan; urgency=medium

  * Skip autopkgtest for unprivileged containers: (LP: #1828228)
    - d/t/control: mark corosync test as skippable
    - d/t/corosync: skip if memlock can't be set to unlimited by root

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 22 Jul 2019 18:38:46 +0000

corosync (3.0.1-2) unstable; urgency=medium

  * [70f53cb] Switch to Debhelper level 12.
    On level 11 corosync.service is started by the dh_installinit snippet in
    the postinst script, before the dh_installsystemd snippet could enable
    it.  This leads to an immediate stop since version 3.0.1, where
    corosync.service got the StopWhenUnneeded=true directive upstream.
    (Closes: #921265)
  * [5a00d0f] The package reorganization is already complete in stretch
  * [bf80b75] dwz chokes on our binaries currently
  * [c66c615] Minimize upstream signing key

 -- Ferenc Wágner <wferi@debian.org>  Mon, 04 Feb 2019 00:31:24 +0100

corosync (3.0.1-1) unstable; urgency=medium

  * [426b1e4] New upstream release (3.0.1)
  * [c58aa08] Refresh our patches
  * [ca02815] Update Standards-Version to 4.3.0 (no changes required)
  * [a5dd92a] Don't use the orphaned dh-exec, Kronosnet is Linux only in Debian
  * [f5c0f29] Test-drive a bunch of small patches for upstream

 -- Ferenc Wágner <wferi@debian.org>  Fri, 01 Feb 2019 09:15:16 +0100

corosync (3.0.0-1) unstable; urgency=medium

  [ Ferenc Wágner ]
  * [1f7a1e6] New upstream beta release (2.99.5)
  * [da76f82] Delete upstreamed patches, refresh the rest
    https://github.com/corosync/corosync/issues/81 was fixed in a different
    way.  Qdevice and qnet were split out into a separate project.
  * [572d2a4] dh_installchangelogs finds ChangeLog by itself.
    I guess #711131 might have been the original reason for the override.
  * [db96368] Qdevice and qnet were split out into a separate project
  * [ca28efd] With the Kronosnet dependency Hurd compatibility is off the table
  * [a80ac6f] corosync-notifyd propagates the error since e313bbf
  * [91df99e] RDMA support was removed in 10075a0
  * [cbd44d0] Looks like the upstream init scripts aren't misplaced anymore
  * [cff3ceb] Christoph got the overview man pages moved to the correct sections
    (Closes: #576209)
  * [065839c] The stale SECURITY file was removed by 6bdf096
  * [1d8c4f0] Rename libcfg according to its new SO version
  * [580ad26] Add cmap_initialize_map to libcmap4.symbols
  * [03ddc00] Update Standards-Version to 4.2.1 (no changes required)
  * [71598bf] The debug symbol migration is complete
  * [83ff368] The Lintian tag about shipping INSTALL changed name
  * [2657a3b] Clean up trailing whitespace in debian/changelog
  * [fa7447b] The libtotem-pg library was discontinued (853e5b9)
  * [6bbab6f] New patch: Enable PrivateTmp in the systemd service files
  * [6ddd0bd] Remove corosync-dev, which was already transitional in stretch
  * [6b0129e] Corosync does not use environmental variables anymore
  * [8b272c3] Update source location
  * [be8a155] Update copyright years
  * [382f034] We got rid of the example conffiles during stretch
  * [50b2d8e] Upstream agreed to sign the tarballs, let's check the signature
  * [8057226] Require at least libqb 1.0.3 to avoid binutils issues
    (Closes: #898266)
  * [f69e2aa] Crypto is handled by Kronosnet
  * [2f8aa88] Use the upstream configuration example.
    Nodelist is required now, and it's better to let the token timeout scale
    with the cluster size.  All in all, we might as well patch the upstream
    example into a working configuration.
  * [ff10f63] New upstream release (3.0.0)
  * [6b1357d] Refresh our patches
  * [74f03fc] Adjust autopkgtest to changed output

  [ Andreas Henriksson ]
  * [1b43cee] Fix BASHPATH to make it reproducible.
    Otherwise it's detected differently on merged-usr vs non-merged.
    (Closes: #915224)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 22 Dec 2018 19:40:13 +0100

corosync (2.4.4-3) unstable; urgency=high

  * High urgency because 2.4.4 still hasn't reached testing yet.
  * [901fc27] Adjust symbols files to libqb magic 2.
    The powerpcspe and ppc64 build failures were late.
  * [4767a4f] Header dependency generation was removed by mistake
    (Closes: #896528)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 22 Apr 2018 16:47:13 +0200

corosync (2.4.4-2) unstable; urgency=high

  * High urgency FTBFS fix on ppc64el to unblock migration of security fix
  * [63ab152] Adjust symbols files to libqb magic
  * [9d3c9d6] New patch: Please make the manpages reproducible.
    Thanks to Chris Lamb (Closes: #896441)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 21 Apr 2018 11:21:00 +0200

corosync (2.4.4-1) unstable; urgency=high

  [ Valentin Vidic ]
  * [069e127] Replace deprecated Priority: extra.
    Priority optional should be used instead.

  [ Christoph Berg ]
  * [67b0779] Remove Richard and myself from Uploaders

  [ Ferenc Wágner ]
  * [8c93a47] Update old style gbp.conf section names
  * [0863b9c] Old patch gained symbolic renames
  * [aae3275] New patches with various watchdog changes
  * [42da333] Switch to using HTTPS in the homepage URLs
  * [8dfbe1d] New upstream release (2.4.4)
    SECURITY fix for CVE-2018-1084 and similar bugs
  * [e550fa0] Delete upstreamed or misguided patches, refresh the rest.
    SOURCE_DATE_EPOCH is exported by debhelper and used by the upstream build
    system.
    Fully expanded substitutions must be performed by sed rules,
    AC_CONFIG_FILES is not suitable for performing such expansions.
  * [ff3bbdd] Update Standards-Version to 4.1.4 (no changes required)
  * [8da0691] Clean up trailing whitespace under the debian directory
  * [e11ae7f] Switch to Debhelper compat level 11
  * [2c3fa47] Replace hand-made control substitution with stock dpkg method
  * [2b66152] Lintian does not emit embedded-javascript-library for Doxygen
    anymore
  * [d09a1b0] Migrate to salsa.debian.org/ha-team
  * [3483060] Upstart is dead, disable support
  * [1a5e66e] New patch: Fix typo: sucesfully -> successfully
  * [16a5d77] New libqb introduced some helper symbols
    https://github.com/ClusterLabs/libqb/pull/266
  * [5212e89] Make sure to fully expand LOGDIR in the config examples
  * [7d1d319] Make qnetd stay with the DBM NSS DB format for now.
    At least until certutil can handle the upgrade.  The postinst will have
    to be adapted as well.
  * [61d6673] qnetd-certutil uses ps and w
  * [68c3813] New patch: Fix typo: defualt -> default
  * [ecfb1b7] The security patches introduced a new symbol
  * [afab077] The sid toolchain does not add any dependencies to
    libcorosync_common4
  * [cabd81d] Avoid recursive chmod in qnetd postinst.
    Lintian warns about the recursive chmod, but chmod -R g-w isn't an
    escalation vector, because it only takes away permissions.  Still,
    it's better to make the list of affected files explicit.
  * [563c7d8] Test the shipped Augeas lense

 -- Ferenc Wágner <wferi@debian.org>  Fri, 20 Apr 2018 10:20:20 +0200

corosync (2.4.2-3) unstable; urgency=medium

  [ Ferenc Wágner ]
  * [c1663f3] Extend systemd notification to corosync-qdevice and corosync-qnetd

 -- Ferenc Wágner <wferi@debian.org>  Mon, 19 Dec 2016 14:35:43 +0100

corosync (2.4.2-2) unstable; urgency=medium

  * [5996a94] Don't enable the qdevice daemon on installation, it needs
    configuration
  * [058daab] autopkgtest: corosync is started automatically
  * [c4bd5cf] Reorder and rework patch queue for easier upstreaming
  * [ec61daa] Use RuntimeDirectory instead of tmpfiles.d

 -- Ferenc Wágner <wferi@debian.org>  Mon, 19 Dec 2016 09:48:37 +0100

corosync (2.4.2-1) unstable; urgency=medium

  * [ed34965] Use official distribution site in the watch file
  * [d541754] New upstream release (2.4.1)
  * [717a4f7] Delete upstreamed patches, refresh the rest
  * [b6f41ad] New package: corosync-qdevice
  * [1f7ee1d] New package: corosync-qnetd
  * [c92036e] Add Documentation URIs to the new services as well
  * [5a467de] New patches fixing typos
  * [86efc5b] Add corosync-qdevice init script and default file
  * [0b15d12] Migrate to my Debian address
  * [e1afcd2] Add 3 patches fixing typos
  * [c28efd0] New patch Don-t-try-to-load-a-sysconfig-file.patch
  * [22f8fa2] Create system user and TLS cert when corosync-qnetd is installed
  * [3419d64] New patch Run-corosync-qnetd-unprivileged.patch
  * [06fbae0] New upstream release (2.4.2)
  * [aaf208d] Refresh our patches
  * [b5244cd] corosync-qdevice is too long for init-d-script
  * [ed3e629] Add corosync-qnetd init script
  * [1aae25d] Bump SO version of the libvotequorum package
  * [80f82ab] corosync-qnetd is in /usr/bin
  * [9c4a7d1] Ship a default file for corosync-qnetd
  * [3e29b17] New patch Start-corosync-qdevice-directly.patch
  * [5f7698b] New patch Use-the-default-files-from-the-service-files.patch
  * [9fb0165] Revert "The package name is superfluous in the debian release tag
    titles" (commit 32635c4).
    While superfluous, it does not warrant an extra configuration line.
  * [07a150c] Switch gbp dch to verbose changelog entries

 -- Ferenc Wágner <wferi@debian.org>  Wed, 09 Nov 2016 22:04:50 +0100

corosync (2.3.6-3) unstable; urgency=medium

  * [b6c5f14] New patch config-get_cluster_mcast_addr-error-is-not-fatal.patch.
    Thanks to Jan Friesse (Closes: #833357)
  * [6227a90] Migrate from backported corosync-dbg versions as well

 -- Ferenc Wágner <wferi@niif.hu>  Wed, 03 Aug 2016 22:52:55 +0200

corosync (2.3.6-2) unstable; urgency=medium

  * [f8af53c] Ship /etc/corosync/uidgid.d in the corosync package
  * [1edb5d0] Depend on /var/lib/corosync being created by make install
  * [32635c4] The package name is superfluous in the debian release tag titles

 -- Ferenc Wágner <wferi@niif.hu>  Thu, 23 Jun 2016 13:17:16 +0200

corosync (2.3.6-1) unstable; urgency=medium

  * [8dcedaa] Update the path in the jQuery Lintian override
  * [cd4ea8d] New upstream release (2.3.6)
  * [5c47852] Delete upstreamed patches, refresh the rest

 -- Ferenc Wágner <wferi@niif.hu>  Fri, 17 Jun 2016 09:36:28 +0200

corosync (2.3.5-9) unstable; urgency=medium

  * [c10f9b2] Declare the file conflicts resulting from moving the HTML docs
    (Closes: #826586)

 -- Ferenc Wágner <wferi@niif.hu>  Wed, 08 Jun 2016 17:01:04 +0200

corosync (2.3.5-8) unstable; urgency=medium

  * [b4dfaf1] Move documentation into /usr/share/doc/pacemaker
  * [3820f48] Register the HTML manual pages with doc-base
  * [bf8dd12] New patch totempg-Fix-memory-leak.patch (Closes: #826126)

 -- Ferenc Wágner <wferi@niif.hu>  Sat, 04 Jun 2016 14:38:31 +0200

corosync (2.3.5-7) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [f454b6a] d/tests/control: add isolation-container restriction

  [ Ferenc Wágner ]
  * [6e19154] Sense watchdog and systemd support by header file presence
  * [e09b661] Build-Depend on libsystemd-dev under Linux only
  * [8b513f8] Exclude time zone variations breaking reproducibility
  * [1dbaab0] Migrate to automatic debug packages
  * [679b6e1] Separate arch and indep builds
  * [6a5133a] Explicitly delete the unwanted .md5 files created by Doxygen
  * [3e0c9de] Avoid useless dependencies
  * [7133c51] Enable parallel builds
  * [60b37aa] Attach bug numbers to the libstatgrab dependency condition
  * [5ba48da] Use secure protocol in the VCS URIs
  * [0eb18eb] Add author info to the last two patches, which were added via
    quilt
  * [752ecd3] Add new patches fixing typos
  * [0314361] New patch Add-Documentation-URIs-to-the-systemd-service-
    files.patch
  * [f963a3d] New patches fixing various typos

 -- Ferenc Wágner <wferi@niif.hu>  Wed, 18 May 2016 23:19:04 +0200

corosync (2.3.5-6) unstable; urgency=medium

  * Fix hurd-i386 build by defining PATH_MAX and PIPE_BUF in configure.ac.
    Patch by Svante Signell, thanks! (Closes: #823826)

 -- Christoph Berg <myon@debian.org>  Mon, 09 May 2016 22:45:00 +0200

corosync (2.3.5-5) unstable; urgency=medium

  [ Christoph Berg ]
  * Disable watchdog and systemd on non-linux architectures.
    (Closes: #765365, #815306)

  [ Adrian Vondendriesch ]
  * Import upstream patch to make watchdog support configurable.

 -- Christoph Berg <myon@debian.org>  Thu, 05 May 2016 14:51:43 +0200

corosync (2.3.5-4) unstable; urgency=medium

  * debian/tests: Add simple smoke test using corosync-cfgtool and
    corosync-quorumtool.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 18 Mar 2016 11:25:03 +0100

corosync (2.3.5-3) unstable; urgency=medium

  * [e64ff08] Really add arm64 support (Closes: #753289)
  * [5e60e11] Enable the monitoring service on Linux architectures
  * [9b635d5] Make libtotem-pg-dev usable by shipping corosync/list.h

 -- Ferenc Wágner <wferi@niif.hu>  Thu, 22 Oct 2015 15:01:59 +0200

corosync (2.3.5-2) unstable; urgency=medium

  * [e66dda1] Make sure environment variables are propagated by the init script
  * [638b690] Mention the significance of cluster_name when creating shared LVM
    VGs
  * [48d88e3] Generalization may be acceptable for upstream, Debianization is
    not
  * [cd6437f] New patch Send-corosync-startup-notification-to-systemd.patch
  * [f4da902] New patch Make-systemd-stop-and-restart-corosync-notifyd-if-
    co.patch
  * [1504fb9] New patch Send-corosync-notifyd-startup-notification-to-
    system.patch
  * [837ec3e] New patch Use-debian-changelog-timestamp-for-the-build-time-
    of.patch
    (Closes: #800662, #800663)
  * [c96145c] libcorosync-common-dev takes over files from old corosync-dev
    (Closes: #800923)
  * [24f4fe9] New patch cmap_track_add.3.in-fix-typo-bellow-below.patch
  * [ef858f3] Only Linux supports RDMA, let's omit it on other architectures
  * [70989fd] Simplify debian/rules by providing .pc files for rdmacm and
    ibverbs

 -- Ferenc Wágner <wferi@niif.hu>  Fri, 16 Oct 2015 14:19:19 +0200

corosync (2.3.5-1) unstable; urgency=medium

  [ Richard B Winters ]
  * [9f5bb05] Bump Standards-Version (no changes needed)
  * [6bc58b5] Fold package relationship control fields
  * [1b27764] Add myself to Uploaders
  * [98350b5] Add Homepage control field
  * [eaf2c8b] Update Vcs-Git and Vcs-Browser control fields
  * [0fa78d2] Use the dh command sequencer with autoreconf and systemd support
    (Closes: #753289)
  * [3880949] Updated to watch new upstream release location
  * [635e2a4] libvotequorum SOVERSION incremented to 7
  * [dff0476] Remove unnecessary Section field of the corosync binary package
  * [7105b15] Different short descriptions for the transitional packages
  * [272def5] Added several patches for fixing manual issues
  * [54ac965] Added respective binary dependency for each dev package
  * [dd3a503] Added accurate symbols from snapshot.debian.org
  * [60dc392] Added accurate symbols for libcorosync-common4 from snapshot.d.o
  * [f7a768d] Add patch to remove deprecated Doxygen flags

  [ Ferenc Wágner ]
  * [6e2624b] Update debian/copyright and make it machine-readable
  * [ec41127] Add corosync-doc package for the HTML documentation
  * [b88593b] Patch systemd service file to call corosync directly
  * [ea1fd76] Enabling SNMP support was ineffective without libsnmp-dev
  * [8fff368] The QB_IPC_NATIVE enum value was introduced in libqb 0.12
  * [6b5bef8] We do not need the upstream SysV init scripts
  * [689e23d] Install documentation files generically
  * [8712256] Include the component overview man pages plus two supplemental
    ones
  * [69df3f6] Add myself to Uploaders
  * [906d4ca] The --with-socket-dir configure option was removed in version
    1.99.8
  * [a6d808a] Convert package to multiarch
  * [08705ce] ${shlibs:Depends} does not apply for the debug package
  * [aa9730a] Do not build and ship static libraries
  * [6e3e0c8] Remove unnecessary arguments from dh_installinit calls
  * [a65fdd6] Current libtool does not employ RPATH
  * [52462e1] Move all HTML documentation into corosync-doc
  * [7f52a09] Drop very old Conflicts declarations
  * [6a373d0] Weed out unnecessary Conflicts, turn the rest into Breaks
  * [b981e3b] librdmacm-dev and libibverbs-dev lack pkg-config support
  * [8b578b0] Freshen package descriptions
  * [bc43e9b] All -dev packages depend on libcorosync-common-dev headers
  * [7daa765] Simplify installation of the Debian config file
  * [a1d375f] Wildcard the manual page installations in the -dev packages
  * [b528342] Add LSB Description to the Debian init scripts (for Lintian)
  * [94776ba] Add Build-Depends-Package meta fields to the symbols files
  * [5439cc8] README.source is not needed anymore, 3.0 (quilt) is our format
  * [ebc6aa6] Disable functionality related to the Cluster Test System
  * [aafb17c] Check in gbp.conf for DEP-14 layout
  * [6d7057a] Add author and subject info to the new patch files
  * [885c3a4] Run patches through gbp pq (format changes and renames only)
  * [d7b8376] Refresh patches
  * [733e0c0] We don't need the ais user anymore (Closes: #577965)
  * [02d8e13] New patch Doxygen-fix-for-cmap_iter_next.patch
  * [c1f95b4] New patch Close-Doxygen-group-in-include-corosync-cmap.h.patch
  * [514cc47] New patch corosync-notifyd.8-show-correct-option-letter-in-
    DBu.patch
  * [88fdcfa] Upstream started to ship a logrotate config, switch to that
  * [abf17e0] Only log to syslog by default
  * [d9767df] New patch Substitute-LOGDIR-into-the-example-configs.patch
    (Closes: #739730)
  * [8780215] Generate header dependencies for dev packages
  * [979daec] Various Corosync headers include some libqb headers, so pull them
    in
  * [0b6aca5] Add 4 patches fixing man/index.html
  * [49476ca] New patch man-add-synopsis-section-macros-for-cpg_zcb_alloc-
    an.patch
  * [6436dcb] Add my copyright on debian/*
  * [d438120] Remove obsoleted conffiles from /etc/corosync
  * [41329a8] Harmonize the corosync-notifyd init script variable with the
    systemd unit
  * [45dc7bf] The corosync daemon does not need strictly versioned libraries
  * [b14c085] Split corosync-notifyd into a separate binary package
  * [56e7d73] Remove the START={yes|no} feature, which breaks systemd
    consistency
  * [c79e223] Consolidate on using OPTIONS in all corosync init files
  * [b892361] Delete corosync preinst script, because 1.2.1-4 is oldoldstable
  * [cbc032e] Make the role of the placeholder file more obvious
  * [2b48d82] The debug package provides debug info for the daemons, too
  * [499e5c9] Configure "debian" as the default cluster_name

  [ Adrian Vondendriesch ]
  * [fb80683] Add libdbus-1-dev to Build-Depends. (Closes: #705023)
  * [939d650] Add myself to Uploaders.
  * [05e635e] Remove unnecessary ${shlibs:Depends} for dev packages.
  * [c32e3ee] Install example configs under /usr/share/doc/corosync/examples.
  * [3d4a183] Use wildcard pattern to install corosync HTML files.
  * [2c14a78] Install upstream upstart scripts.
  * [42e457f] Use wildcard pattern to mach all corosync man pages.
  * [f3efe53] Install mibs under /usr/share/snmp/mibs
  * [bb1704e] Install corosync-xmlproc and xml2conf.xsl
  * [df89fea] Install corosync and corosync-notifyd service files.
  * [d3ab07d] Patch upstream corosync-notifyd.service file.
  * [9a84b7d] Simplify init and default filenames for corosync.
  * [84b2b54] Fix debian/watch file.
  * [73bd735] Create new corosync.conf based on upstream version.
  * [e468ecd] Comment in quorum provider.
  * [335c307] debian/corosync.default: add known variables with defaults
  * [93deab4] Drop unnecessary comment line in corosync.init (Closes: #645774)

  [ Christoph Berg ]
  * [8d7adf6] Import symbols for version 2.3.5
  * [021a971] Remove old libcorosync4 and libcorosync-dev transitional packages

 -- Ferenc Wágner <wferi@niif.hu>  Tue, 08 Sep 2015 09:57:18 +0200

corosync (2.3.3-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental
  * Disable the resource monitoring feature due to an incompatibility with
    SG (And according to Jan Friesse, the feature is 'useless' anyway)
  * debian/control: Bump Standards-Version to 3.9.5

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 21 Feb 2014 12:22:49 +0000

corosync (2.3.0-1) experimental; urgency=low

  * New upstream release
  * Upload to experimental
  * debian/01_fabio_ipcs_fix.patch: Dropped, included in upstream by now

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 20 Mar 2013 21:25:25 +0000

corosync (1.99.9-1) experimental; urgency=low

  * New upstream release with lots of rework in debian/ due to numerous
    file reorganizations conducted by upstream
  * Upload to experimental
  * debian/patches/0001-Define-semun-on-KFreeBSD.patch: Dropped
  * Depend on librdmacm-dev, libibverbs-dev and libqb-dev
  * debian/control: Turned corosync-dev into a transitional package and
    placed its contents into libcorosync-common-dev
  * debian/control: Bumped Standards-Version to 3.9.3

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 18 Apr 2012 13:16:35 +0000

corosync (1.4.2-2) unstable; urgency=low

  * debian/control: Package split to make this package comply with the
    Debian policy better than before; every library file has its own
    package now.
  * debian/control: Bumped Standards-Version to 3.9.2.

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 24 Nov 2011 17:27:10 +0000

corosync (1.4.2-1) unstable; urgency=low

  * Changed my email address in debian/control
  * Add corosync-blackbox to the corosync package
  * Imported Upstream version 1.4.2

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 19 Oct 2011 14:32:18 +0000

corosync (1.4.1-1) unstable; urgency=low

  [ Andres Rodriguez ]
  * [ec94d30] Ensure that '/var/run/resource-agents' is created.
    (Closes: #627685) (LP: #787062)

  [ Guido Günther ]
  * [9f10a99] New upstream version 1.4.1

 -- Guido Günther <agx@sigxcpu.org>  Wed, 24 Aug 2011 09:27:33 +0200

corosync (1.3.0-3) unstable; urgency=low

  * [b763c6a] New patch 0001-Define-semun-on-KFreeBSD.patch
    Thanks to Martin G. Loschwitz (Closes: #621889)
  * [0e2ebb8] Switch to 3.0 (quilt) format

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 May 2011 21:45:31 +0200

corosync (1.3.0-2) unstable; urgency=low

  * Upload to unstable
  * [f1907f8] Move corosync start out of rcS since we want to be able to log
    to syslog and rsyslog isn't started in rcS. Fix cherry-picked from
    squeeze. (Closes: #608269)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 29 Mar 2011 18:26:50 +0200

corosync (1.3.0-1) experimental; urgency=low

  * [986d8ed] Make sure we start before and stop after $syslog.
    Thanks to Frank Schmidt for tracking down the start issues (Closes: #596694)
  * [12e6e88] Fix default consensus timeout (Closes: #573030)
  * [0d7cc00] Don't timeout during daemon shut down
    since this might leave pacemaker resources running.
    See: http://developerbugs.linux-foundation.org/show_bug.cgi?id=2217
    (Closes: #556533)
  * [583fe40] Add copytruncate to logrotate snippet (Closes: #584582)
  * [0082261] No need for quilt anymore
  * [d64862c] Bump standards version
  * [5cbb2cc] New upstream version 1.3.0
  * [61a8159] Upstream renamed CHANGELOG to ChangeLog
  * [836c0ef] Don't ignore make clean errors
  * [3c3b0c0] Include BSD license instead of referencing it

 -- Guido Günther <agx@sigxcpu.org>  Mon, 13 Dec 2010 16:42:32 +0100

corosync (1.2.7-1) experimental; urgency=low

  * [1c157d6] New upstream version 1.2.7
  * [a2453fb] Add status to corosync init script (Closes: #582104) - thanks to
    Raoul Bhatia for the patch

 -- Guido Günther <agx@sigxcpu.org>  Fri, 13 Aug 2010 16:32:40 +0200

corosync (1.2.1-3) unstable; urgency=low

  * [12e6e88] Fix default consensus timeout (Closes: #573030)
  * [0d7cc00] Don't timeout during daemon shut down since this might leave
    pacemaker resources running.
    See: http://developerbugs.linux-foundation.org/show_bug.cgi?id=2217
    (Closes: #556533)
  * [583fe40] Add copytruncate to logrotate snippet (Closes: #584582)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 07 Dec 2010 12:53:47 +0100

corosync (1.2.1-2) unstable; urgency=low

  * [a2453fb] Add status to corosync init script (Closes: #582104) - thanks to
    Raoul Bhatia for the patch
  * [986d8ed] Make sure we start before and stop after $syslog (Closes:
    #596694) - thanks to Frank Schmidt for tracking down the start issues

 -- Guido Günther <agx@sigxcpu.org>  Tue, 14 Sep 2010 13:05:21 +0200

corosync (1.2.1-1) unstable; urgency=low

  * [c254474] Bump standards version
  * [d4bd86b] Add ${misc:Depends} dependencies
  * [cef00bb] Upstream changed the login - fix watch file
  * [6e03508] Imported Upstream version 1.2.1

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 Apr 2010 19:05:02 +0200

corosync (1.2.0-3) unstable; urgency=low

  * [3c2ff0a] Use passive ftp for uscan
  * [fb2678a] Fix typo in dependencies that breaks the autobuild (Closes:
    #573676)
  * [81e5a81] corosync-dbg: dependency on corosync or libcorosync4 so the
    library can be debugged without corosync installed.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 13 Mar 2010 11:54:07 +0100

corosync (1.2.0-2) unstable; urgency=low

  * [e6d54e6] Make sure /var/log/corosync/ is nonempty otherwise removing
    corosync also removes this dir which makes logrotate choke. A purge
    cleans up the log files anyway.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 10 Feb 2010 18:58:15 +0100

corosync (1.2.0-1) unstable; urgency=low

  * [0538e91] Imported Upstream version 1.2.0

 -- Guido Günther <agx@sigxcpu.org>  Thu, 14 Jan 2010 13:11:26 +0100

corosync (1.1.2-1) unstable; urgency=low

  * [993b951] Imported Upstream version 1.1.2
  * [899b956] add watch file

 -- Guido Günther <agx@sigxcpu.org>  Thu, 10 Dec 2009 10:50:11 +0100

corosync (1.1.0-2) unstable; urgency=low

  * upload to unstable
  * [bd8a0c9] remove unused variables and targets

 -- Guido Günther <agx@sigxcpu.org>  Sun, 15 Nov 2009 16:21:05 +0100

corosync (1.1.0-1) experimental; urgency=low

  * Upload to experimental
  * [3cbe5b0] Imported Upstream version 1.1.0
  * [8d4f362] Drop patches applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 Oct 2009 20:57:27 +0200

corosync (1.0.0-7) unstable; urgency=low

  * [a300993] Conflict on openais (Closes: #549634)
  * [00d0531] Conflict openais-legacy-dev (Closes: #549636)
  * [64f4fa2] Add missing init script dependency on $remote_fs since we use
    files in /usr/. (Closes: #549571) - thanks to Petter Reinholdtsen

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 Oct 2009 17:54:22 +0200

corosync (1.0.0-6) unstable; urgency=low

  * upload to unstable
  * [dbac633] Stop corosync in runlevels 0 and 6

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Oct 2009 19:10:31 +0200

corosync (1.0.0-5) experimental; urgency=low

  [ Ante Karamatić ]
  * [8cac11c] fix corodefs for pacemaker
  * [2d84b1e] don't install config file as example
  * [4cc60fc] Fix patching and cleaning

  [ Guido Günther ]
  * [51b386c] install lcrso into default location
  * [dbb6b6b] bump standards version
  * [53e63e0] add README.source
  * [0fb550e] use QUIT to terminate processes uset pidfile to avoid
    sending SIGQUIT to the init script itself
  * [b8424d7] fix init script logging

 -- Guido Günther <agx@sigxcpu.org>  Fri, 28 Aug 2009 07:56:27 +0200

corosync (1.0.0-4) experimental; urgency=low

  * [5b1180a] fix debian-ha address
  * [6d5347e] add Vcs-{Git,Browser}

 -- Guido Günther <agx@sigxcpu.org>  Tue, 14 Jul 2009 17:49:38 +0200

corosync (1.0.0-3) experimental; urgency=low

  * [c235864] add debug package
  * [8a65dc8] update copyright information

 -- Guido Günther <agx@sigxcpu.org>  Sat, 11 Jul 2009 17:05:09 +0200

corosync (1.0.0-2) unstable; urgency=low

  * [28b621c] install files in etc/
  * [e506cbc] don't install LICENSE and INSTALL
  * [4827444] change maintainer to Debian HA maintainers
  * [dff4236] add LSB header to init script
  * [aea67b7] use quilt
  * [4489e03] add missing NAME entries to manpages

 -- Guido Günther <agx@sigxcpu.org>  Sat, 11 Jul 2009 13:50:57 +0200

corosync (1.0.0-1ubuntu0ivoks2) unstable; urgency=low

  * [28b621c] install files in etc/
  * [e506cbc] don't install LICENSE and INSTALL
  * [4827444] change maintainer to Debian HA maintainers
  * [dff4236] add LSB header

 -- Guido Günther <agx@sigxcpu.org>  Sat, 11 Jul 2009 13:37:50 +0200

corosync (1.0.0-1ubuntu0ivoks1) karmic; urgency=low

  * debian/rules:
    - add configuration switches
    - add and install corosync.conf example
    - move *.lcrso to /usr/lib/corosync/lcrso/

 -- Ante Karamatic <ivoks@ubuntu.com>  Fri, 10 Jul 2009 19:32:17 +0200

corosync (1.0.0-1) unstable; urgency=low

  * [f5b3b0e] depend on adduser since we create a group in the postinst and
    add missing build-dep on libnss3-dev.
  * [24bd855] don't ignore errors in postinst
  * [7e4833d] Imported Upstream version 1.0.0

 -- Guido Günther <agx@sigxcpu.org>  Thu, 09 Jul 2009 14:29:03 +0200

corosync (0.100-1) unstable; urgency=low

  * [9c10653] Imported Upstream version 0.100
  * [f8652d9] bump standards version
  * [490d6bc] drop all patches

 -- Guido Günther <agx@sigxcpu.org>  Tue, 07 Jul 2009 13:26:46 +0200

corosync (0.98-1) unstable; urgency=low

  * [8de0f26] Imported Upstream version 0.98
  * [421c337] we need groff
  * [47bdb6c] drop all patches for now
  * [3e2730b] Update build for new upstream version

 -- Guido Günther <agx@sigxcpu.org>  Mon, 06 Jul 2009 15:35:11 +0200

corosync (0.92-0ubuntu3) jaunty; urgency=low

  * Update to trunk svn 1750.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 28 Jan 2009 14:11:54 +0100

corosync (0.92-0ubuntu2.3) jaunty; urgency=low

  * Update to trunk svn 1749.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 27 Jan 2009 07:25:54 +0100

corosync (0.92-0ubuntu2.2) jaunty; urgency=low

  * Update to trunk svn 1738.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 23 Jan 2009 05:48:30 +0100

corosync (0.92-0ubuntu2.1) jaunty; urgency=low

  * Add ckpt forward port and bug fixes.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 21 Jan 2009 10:42:06 +0100

corosync (0.92-0ubuntu2) jaunty; urgency=low

  * Up to svn trunk 1727.
  * Remove old OPENAIS_BUILD option in favour of COROSYNC

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 14 Jan 2009 14:33:47 +0100

corosync (0.92-0ubuntu1.1) jaunty; urgency=low

  * Fix logging crash.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 14 Jan 2009 11:25:55 +0100

corosync (0.92-0ubuntu1) jaunty; urgency=low

  * New upstream version + svn trunk at 1718.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 06 Jan 2009 09:50:54 +0100

corosync (0.91-0ubuntu2) intrepid; urgency=low

  * Upload to intrepid. Obsolete version in PPA.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 20 Aug 2008 12:49:16 +0200

corosync (0.91-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * Update to svn1659.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 20 Aug 2008 07:33:14 +0200

corosync (0.90-0ubuntu3) intrepid; urgency=low

  * Update to svn trunk at 1631.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 14 Aug 2008 14:54:15 +0200

corosync (0.90-0ubuntu2) intrepid; urgency=low

  * Update to svn trunk at 1629.
  * debian/control: update descriptions and dependencies.
  * debian/copyright: update upstream location and other bits.
  * debian/*: general fixup for binaries split up from openais.
  * Move lcrso files to /usr/lib/lcrso (common with new openais).

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 13 Aug 2008 06:31:28 +0200

corosync (0.90-0ubuntu1) intrepid; urgency=low

  * New source based on upstream split of the tree into corosync and openais.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 24 Jul 2008 08:53:47 +0200

openais (0.84-0ubuntu2) intrepid; urgency=low

  * Update to latest SVN

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 15 Jul 2008 12:18:03 +0200

openais (0.84-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 24 Jun 2008 08:41:53 +0200

openais (0.83-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop parisc/hppa workaround bits from debian/rules.
    - Drop debian/README.Debian. It doesn't apply to Ubuntu.
    - Ship and install init script.
    - Install logrotate bit.
    - Fix lcrso permissions.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 09 Jun 2008 09:25:11 +0200

openais (0.83-1) unstable; urgency=low

  * New upstream version.
  * Merge (partially) with Ubuntu:
    - Fix dh_* invokation order in debian/rules.
    - drop unrequired patches.
    - Fix executive startup issue if it can't open a logging file.
    - Fix liblogsys linking issues.
    - create logrotate script
    - add postrm

 -- Frederik Schüler <fs@debian.org>  Tue, 03 Jun 2008 22:44:19 +0200

openais (0.83-0ubuntu3) intrepid; urgency=low

  * Fix liblogsys linking issues.

  * Fix executive startup issue if it can't open a logging file.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 20 May 2008 10:02:59 +0200

openais (0.83-0ubuntu2) intrepid; urgency=low

  * debian/rules:
    - Fix dh_* invokation order.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 13 May 2008 06:38:08 +0200

openais (0.83-0ubuntu1) intrepid; urgency=low

  * New upstream release:
    - drop unrequired patches.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 13 May 2008 05:53:19 +0200

openais (0.82-3ubuntu2) hardy; urgency=low

  * New svn snapshot "Getting close to 0.83" release:
    - Update patch 000.
    - Drop patch 001. Now upstream.
    - Drop patch 004 as final decision with upstream.
      It will be reintroduced after 1.0 release for the new
      development tree.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 21 Jan 2008 06:54:28 +0100

openais (0.82-3ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Ubuntu maintainer foobar.
    - Provide init script for standalone aisexec.
    - Run trunk in preparation of 0.83 release.
    - debian/rules: add ARCH in build and stamp targets.
    - debian/rules: adapt to install trunk.
    - debian/rules: chmod lcrso file instead of patching upstream Makefiles.
    - provide log rotate bits for aisexec standalone logs.
    - debian/patches/:
      + use trunk.
      + slightly change default conf (required for init scripts).
      + increase max rings from 2 to 4.
      - drop all debian patches in favours of ubuntu ones as they are
        the same, but based on trunk.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 09 Jan 2008 07:31:36 +0100

openais (0.82-3) unstable; urgency=low

  * Fix FTBFS on hppa.
  * Update to new standards version.

 -- Frederik Schüler <fs@debian.org>  Mon, 24 Dec 2007 23:55:27 +0100

openais (0.82-2) unstable; urgency=low

  * Install openais/service/logsys.h

 -- Frederik Schüler <fs@debian.org>  Mon, 03 Dec 2007 00:35:46 +0100

openais (0.82-1) unstable; urgency=low

  [ Bastian Blank ]
  * Drop unnecessary patches.

  [ Frederik Schüler ]
  * New upstream release (Closes: #453438)
  * Add myself to uploaders.
  * Rediff 001_makefile.dpatch
  * Drop 002_fix_include_path.dpatch

 -- Frederik Schüler <fs@debian.org>  Sun, 02 Dec 2007 15:27:15 +0100

openais (0.82-0ubuntu14) hardy; urgency=low

  * Re-enable patch 004. Found the bug in cman and fix is about
    to be uploaded.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 02 Jan 2008 11:34:56 +0100

openais (0.82-0ubuntu13) hardy; urgency=low

  * Temporary disable patch 004 introduced in 0.82-0ubuntu7:
    Part of the code does not use this value directly but rather some
    embedded "version" of it. The result is memory corruption all over
    the place. A bug has been filed upstream.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 01 Jan 2008 06:55:48 +0100

openais (0.82-0ubuntu12) hardy; urgency=low

  * Update patch 001: re-add call to log_printf + error_string.
    The bug was triggered by bad code in rhcs/cman.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 31 Dec 2007 06:11:10 +0100

openais (0.82-0ubuntu11) hardy; urgency=low

  * Update patch 001 to fix install of EXECLIBS. Doesn't affect packaging.

  * Update patch 001 to remove unsafe call to log_printf + error_string.

  * Update patch 001 to better handle close of file descriptors.

  * debian/rules: add $ARCH to build and stamp dirs. Very helpful when
    building on several arches at the same time.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Sun, 30 Dec 2007 09:40:18 +0100

openais (0.82-0ubuntu10) hardy; urgency=low

  * Fix once again closing of fd's upstream borkage.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 24 Dec 2007 07:58:57 +0100

openais (0.82-0ubuntu9) hardy; urgency=low

  * Add workaround to build on hppa/parisc by reducing the optimization
    to -O1. Both -O2 and -O3 trigger a gcc ICE.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Sun, 23 Dec 2007 08:43:26 +0100

openais (0.82-0ubuntu8) hardy; urgency=low

  * Also install openais-cfgtool.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 14 Dec 2007 13:13:40 +0100

openais (0.82-0ubuntu7) hardy; urgency=low

  [ Fabio M. Di Nitto ]
  * Update to SVN trunk in preparation of 0.83.
  * rediff all patches.

  [ Soren Hansen ]
  * 004_increase_max_rings.dpatch: Increase INTERFACE_MAX to 4 (LP: #176299)
    Thanks Fabio!

 -- Soren Hansen <soren@ubuntu.com>  Fri, 14 Dec 2007 09:34:53 +0100

openais (0.82-0ubuntu6) hardy; urgency=low

  * Add patch to fix closing fd's in daemonized mode.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 30 Oct 2007 08:20:58 +0100

openais (0.82-0ubuntu5) hardy; urgency=low

  * Switch to trunk as 0.83 is about to be released.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 30 Oct 2007 06:21:31 +0100

openais (0.82-0ubuntu4) hardy; urgency=low

  * Add one more case for RH bugzilla 314641.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 29 Oct 2007 20:20:51 +0100

openais (0.82-0ubuntu3) hardy; urgency=low

  * Add fix for RH bugzilla 314641.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 29 Oct 2007 19:06:02 +0100

openais (0.82-0ubuntu2) hardy; urgency=low

  * Add missing 001_Makefile patch.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 24 Oct 2007 05:49:36 +0200

openais (0.82-0ubuntu1) hardy; urgency=low

  * Switch to 0.82 release.

  * Sync with Debian - remaining changes:
    - debian/control:
      + Ubuntu maintainer foobar.
      + openais: retain Depends: lsb-base for init script.
    - debian/rules:
      + chmod 644 *.lcrso
      + dh_installinit
      + dh_installlogrotate
      + define STATICLIBS=yes in install target
    - debian/openais.install:
      + etc/ais
    - debian/openais.{default,dirs,init,logrotate,postinst,postrm}:
      + required for the overall init system not shipped in Debian
    - debian/patches:
      + 000_for_upstream: required to install 0.82 properly (pushed)
      + 001_makefile: different from debian and resynced for 0.82
      + 003_default_conf: fix default conf to match FHS (not in Debian)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 22 Oct 2007 05:37:06 +0200

openais (0.81-1) unstable; urgency=low

  * Initial Release (closes: #421816).
    - Pull tarball from Ubuntu.

 -- Bastian Blank <waldi@debian.org>  Thu, 07 Jun 2007 10:21:43 +0200

openais (0.81-0ubuntu5) gutsy; urgency=low

  * Import a bunch of bugfixes from svn trunk.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 01 Oct 2007 04:47:48 +0200

openais (0.81-0ubuntu4) gutsy; urgency=low

  * Switch to trunk (r1384)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 22 May 2007 07:01:39 +0200

openais (0.81-0ubuntu3) gutsy; urgency=low

  * Fix include madness with patch reworked with upstream.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 03 May 2007 16:30:38 +0200

openais (0.81-0ubuntu2) gutsy; urgency=low

  * Remove recursive link in /usr/include/openais. It's not required
    anylonger.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 03 May 2007 15:02:37 +0200

openais (0.81-0ubuntu1) gutsy; urgency=low

  * New upstream release:
    - generated orig.tar.gz from svn export (not available from main download
      web site)
    - fix openais ../include madness. Add patch 002_fix_include_path.dpatch.
    - update patch 003_default_conf.dpatch

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 20 Apr 2007 10:24:58 +0200

openais (0.80.2-0ubuntu1) feisty; urgency=low

  * New upstream release from whitetank branch.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 10 Jan 2007 07:16:50 +0100

openais (0.80.1-0ubuntu2) feisty; urgency=low

  * Update from svn whitetank branch (r1284).

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 23 Oct 2006 07:45:10 +0200

openais (0.80.1-0ubuntu1) edgy; urgency=low

  * New upstream release. Exception granted by Matt Zimmerman.
  (Closes Ubuntu: #61854)

  * Fix debian/rules to not remove wrong files.

  * Fix clean target in test/Makefile and lib/Makefile.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 27 Sep 2006 18:57:12 +0200

openais (0.79-0ubuntu6) edgy; urgency=low

  * Update to whitetank stable branch.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 22 Aug 2006 10:06:14 +0200

openais (0.79-0ubuntu5) edgy; urgency=low

  * Drop patch 007 to prefer IPv6 over IPv4. cman now tells us what to prefer
    according to the select multicast address.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 25 Jul 2006 09:45:16 +0200

openais (0.79-0ubuntu4) edgy; urgency=low

  * Import another big fat bunch of bug fixes from upstream.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 24 Jul 2006 06:21:17 +0200

openais (0.79-0ubuntu3) edgy; urgency=low

  * Fix libopenais2 for good.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 20 Jul 2006 04:49:28 +0200

openais (0.79-0ubuntu2) edgy; urgency=low

  * Fix libopenais-dev Depends.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 20 Jul 2006 04:36:48 +0200

openais (0.79-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - bump soname.
    - rediff patches.
    - UVF exception granted by Colin Watson.

  * Fix init scripts to stop the daemon properly.

  * Add patch to fix ipv6 multicast parsing.

  * Add patch to fix ipv6 resolver order.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 18 Jul 2006 09:27:20 +0200

openais (0.78-0ubuntu2) edgy; urgency=low

  * Wrap call to adduser.

  * Use lsb init scripts.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 17 Jul 2006 11:49:51 +0200

openais (0.78-0ubuntu1) edgy; urgency=low

  * First release.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 07 Jul 2006 08:23:23 +0200
